Create Applicant Event: Buildium
POST
https://api.propexo.com/v1/events/applicants/buildium/| Interface | Method |
|---|---|
| Applicants | POST /applicants/:applicantId/notes |
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
applicant_idstringrequired
The Propexo unique identifier for the applicant
event_typestring
The type of event
Show 1 enum value
NoteDefault value:
Notenotesstringrequired
Notes associated with the event
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
applicant_idstringrequired
The Propexo unique identifier for the applicant
event_typestring
The type of event
Show 1 enum value
NoteDefault value:
Notenotesstringrequired
Notes associated with the event
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/applicants/buildium/
curl -X POST https://api.propexo.com/v1/events/applicants/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"applicant_id": "string",
"notes": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"applicant_id": "string",
"event_type": "Note",
"notes": "string"
}
}